function[LOS,pLOS]=LOS_Probability(d,scenario)

% This Matlab function calculates the LOS probability for the specific environments  (InH, UMi, Uma) of  the IMT-Advanced channels considered in
%
% Zehra Yigit-Ertugrul Basar-Ibrahim Altunbas "SimMBM Channel Simulator for Media-Based Modulation Systems"
% 
%  The values used here are in Table II in the paper above
%
% Input Parameters
% - scenario==1  ==> 'Indoor Hotspot (InH)'
% - scenario==2  ==> 'Urban Micro (UMi)'
% - scenario==3  ==> 'Urban Macro (UMa)'
% - d: 'distance between transmitter and receiver'
% 
% Output Parameter
% - LOS  ==> ' a variable  that indicates the absence (0) or presence (1) of LOS between the transmitter
% and the receiver

if scenario==1  %Indoor Hotspot
    
if d<=18
    pLOS=1;
elseif d>18 && d<37
    pLOS=exp(-(d-18)./27);
elseif d>=37
    pLOS=0.5;
end

elseif scenario==2
     pLOS=min(18/d,1)*(1-exp(-d/36))+exp(-d/36);
     
elseif scenario==3
    %pLOS=min(18/d,1)*(1-exp(-d/63))+exp(-d/63);
    pLOS=1;
end

   LOS=randsrc(1,1,[1,0;pLOS 1-pLOS]);


end