function[PL]=PathLoss(d,fc,scenario,LOS)

% This Matlab function evaluates the path attenuation as in eq. (1) in
%
% Zehra Yigit-Ertugrul Basar-Ibrahim Altunbas "SimMBM Channel Simulator for Media-Based Modulation Systems"
% 
%  The values used here are in Table III in the paper above
%
% Input Parameters
% - scenario==1  ==> 'Indoor Hotspot (InH)'
% - scenario==2  ==> 'Urban Micro (UMi)'
% - scenario==3  ==> 'Urban Macro (UMa)'
% - fc: 'Operating Frequency of Transmit Reconfigurable Antenna(s) (GHz)'
% - d: 'distance'
% - LOS: ' a variable  that indicates the absence (0) or presence (1) of LOS between the transmitter
%   and the receiver
%  
% 
%
% Output Parameter
% - PL  ==> Path attenuation in the indicated scenario
%


if scenario==1  %InH 
    if LOS==1
        A=16.9;
        B=32.8;
        C=20;
        Xs=3;
    else
        A=43.3;
        B=11.5;
        C=20;
        Xs=4; 
    end
elseif scenario==2 %UMi
     if LOS==1
        A=22;
        B=28;
        C=20;
        Xs=3;
    else
        A=36.7;
        B=22.7;
        C=26;
        Xs=4; 
     end
elseif scaenario==3 %UMa
    if LOS==1
         
        A=22;
        B=28;
        C=20;
        Xs=4;
  
        
        
    end
    
    
    
    
    
end

PL_dB=A*(log10(d))+B+(C*log10(fc))+Xs;
PL=10.^(-PL_dB/10);

end